Skip to main content
GET
/
v2
/
clarity-v2
/
processes
/
{process_id}
/
transformation-proposals
/
{transformation_proposal_id}
/
extra-capture-requests
List Clarity Extra Capture Requests
curl --request GET \
  --url https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/transformation-proposals/{transformation_proposal_id}/extra-capture-requests \
  --header 'Authorization: Bearer <token>'
{
  "requests": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "proposal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "step_id": "<string>",
      "capture_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "requested_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "gap": "<string>",
      "suggested_prompt": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  ],
  "total": 0,
  "limit": 0,
  "offset": 0
}

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Path Parameters

process_id
string<uuid>
required

The clarity process id

transformation_proposal_id
string<uuid>
required

The transformation proposal id

Query Parameters

limit
integer
default:20

Number of results per page (1-100, default 20)

Required range: 1 <= x <= 100
offset
integer

Number of results to skip (default 0)

Required range: 0 <= x <= 9007199254740991

Response

Default Response

requests
object[]
required
total
integer
required

Total matching rows across all pages

Required range: -9007199254740991 <= x <= 9007199254740991
limit
integer
required

Page size that was applied

Required range: -9007199254740991 <= x <= 9007199254740991
offset
integer
required

Offset that was applied

Required range: -9007199254740991 <= x <= 9007199254740991